AquaMapsManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.db.managers
Class AquaMapsManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.SubmittedManager
          org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.AquaMapsManager

    public class AquaMapsManager

extends SubmittedManager

Field Summary
`static java.lang.String` | `maxSpeciesCountInACell`

Constructor Summary
`AquaMapsManager()`

Method Summary
`static java.util.List<Submitted>` | `getObjectsByCoverage(java.lang.Integer hspecId, java.lang.String md5SpeciesCoverage, java.lang.Boolean isGIS, boolean includeCustomized)`
`static int` | `insertRequests(java.util.List<AquaMapsObjectExecutionRequest> requests)`
`static AquaMapsObject` | `loadObject(int objId, boolean loadFileSet, boolean loadLayers)`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.SubmittedManager
`delete, deleteFromTables, getAuthor, getCount, getGisId, getHCAFTableId, getHSPECTableId, getHSPENTableId, getJsonList, getList, getList, getStatus, getSubmittedById, insertInTable, isAquaMap, isGIS, markSaved, setGisPublishedId, setSerializedPath, setStartTime, update, updateGISData, updateStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxSpeciesCountInACell

    public static java.lang.String maxSpeciesCountInACell

Constructor Detail

### AquaMapsManager

    public AquaMapsManager()

Method Detail

### insertRequests

    public static int insertRequests(java.util.List<AquaMapsObjectExecutionRequest> requests)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getObjectsByCoverage

    public static java.util.List<Submitted> getObjectsByCoverage(java.lang.Integer hspecId,
                                                                 java.lang.String md5SpeciesCoverage,
                                                                 java.lang.Boolean isGIS,
                                                                 boolean includeCustomized)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadObject

    public static AquaMapsObject loadObject(int objId,
                                            boolean loadFileSet,
                                            boolean loadLayers)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD